# $Revision: 1.15 $, $Date: 2011/04/29 18:05:20 $
#
# Conditional build:
%bcond_with	tests		# perform tests
#
Summary:	OPeNDAP C++ implementation of the Data Access Protocol
Summary(pl.UTF-8):	OPeNDAP - implementacja w C++ protokołu DAP (Data Access Protocol)
Name:		libdap
Version:	3.11.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.opendap.org/pub/source/%{name}-%{version}.tar.gz
# Source0-md5:	097f1890085bbcb78779b55f04042479
URL:		http://opendap.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
%{?with_tests:BuildRequires:	cppunit-devel >= 1.12.0}
BuildRequires:	curl-devel >= 7.12.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 2.6.16
BuildRequires:	pkgconfig
Requires:	curl >= 7.12.0
Requires:	libxml2 >= 2.6.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the OPeNDAP C++ implementation of the Data
Access Protocol version 2 (DAP2) with some extensions that will be
part of DAP3.

The DAP2 is used to provide a uniform way of accessing a variety of
different types of data across the Internet. It was originally part of
the DODS and then NVODS projects. The focus of those projects was
access to Earth-Science data, so much of the software developed using
the DAP2 to date has centered on that discipline. However, the DAP2
data model is very general (and similar to a modern structured
programming language) so it can be applied to a wide variety of
fields.

%description -l pl.UTF-8
Ten pakiet zawiera OPeNDAP - implementację w C++ protokołu dostępu do
danych Data Access Protocol w wersji 2 (DAP2) z pewnymi
rozszerzeniami, które będą częścią DAP3.

DAP2 ma za zadanie udostępnienie jednolitego sposobu dostępu do wielu
różnych rodzajów danych w Internecie. Był oryginalnie częścią
projektów DODS, a następnie NVODS. Projekty te skupiały się na
dostępie do danych Earth-Science, więc większość programów
tworzonych przy użyciu DAP2 była związana z tą dyscypliną nauki.
Jednak model danych DAP2 jest bardzo ogólny (i podobny do
współczesnych strukturalnych języków programowania), więc może
dotyczyć wielu różnych dziedzin.

%package devel
Summary:	Header files for OPeNDAP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki OPeNDAP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel >= 7.12.0
Requires:	libstdc++-devel

%description devel
Header files for OPeNDAP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki OPeNDAP.

%package static
Summary:	Static OPeNDAP library
Summary(pl.UTF-8):	Statyczna biblioteka OPeNDAP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OPeNDAP library.

%description static -l pl.UTF-8
Statyczna biblioteka OPeNDAP.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I conf -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# *.la kept - libxml2 private dependencies are missing in *.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT_* NEWS README*
%attr(755,root,root) %{_bindir}/getdap
%attr(755,root,root) %{_libdir}/libdap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdap.so.11
%attr(755,root,root) %{_libdir}/libdapclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdapclient.so.3
%attr(755,root,root) %{_libdir}/libdapserver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdapserver.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dap-config
%attr(755,root,root) %{_bindir}/dap-config-pkgconfig
%attr(755,root,root) %{_libdir}/libdap.so
%attr(755,root,root) %{_libdir}/libdapclient.so
%attr(755,root,root) %{_libdir}/libdapserver.so
%{_libdir}/libdap.la
%{_libdir}/libdapclient.la
%{_libdir}/libdapserver.la
%{_includedir}/libdap
%{_pkgconfigdir}/libdap.pc
%{_pkgconfigdir}/libdapclient.pc
%{_pkgconfigdir}/libdapserver.pc
%{_aclocaldir}/libdap.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libdap.a
%{_libdir}/libdapclient.a
%{_libdir}/libdapserver.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdap.spec,v $
Revision 1.15  2011/04/29 18:05:20  qboosh
- updated to 3.11.1

Revision 1.14  2011/01/28 01:40:21  sparky
- BR: pkgconfig

Revision 1.13  2010/11/09 20:38:40  sls
- added tests bcond (disabled by default)

Revision 1.12  2010/10/10 06:01:06  qboosh
- updated to 3.11.0
- removed obsolete gcc4 patch

Revision 1.11  2009/10/24 20:31:51  qboosh
- ghost soname symlinks

Revision 1.10  2009/07/15 09:58:21  baggins
- 3.9.3
- added new files

Revision 1.9  2007/09/29 15:14:00  megabajt
- release 5

Revision 1.8  2007/07/05 18:20:00  qboosh
- rebuild ac/am for working as-needed

Revision 1.7  2007/07/03 09:11:59  arekm
- rel 4

Revision 1.6  2007/06/14 18:22:01  arekm
- rel 3

Revision 1.5  2007/04/02 12:17:41  baggins
- rel 2

Revision 1.4  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.2  2006/02/21 22:02:07  qboosh
- updated to 3.5.3, added gcc4 patch

Revision 1.1  2005/09/03 10:50:06  qboosh
- new
